Program ArquivoRegistro;

uses crt;

type

    ficha = record
             mat  : integer;
             nome : string[30];
             sexo : char;
             nota : array [1..3] of real;
             freq : integer;
             end;

    arquivo = file of ficha;

Procedure criar_arquivo;

var
   Arq : arquivo;

begin
     assign(Arq,'Cadastro_Alunos.CAD');
     rewrite(Arq);
     close(Arq);
     clrscr;
     writeln('Arquivo criado! Pressione uma tecla para continuar!');
     readkey;
end;


Procedure cadastrar_alunos;

var
   Arq : arquivo;
   aluno : ficha;
   ultimo : integer;

begin
     assign(Arq,'C:\Users\MCPS\Downloads\numerico\Cadastro_Alunos.CAD');
     reset(Arq);

     ultimo := filesize(Arq);

     seek(Arq,ultimo);


     clrscr;
     gotoxy(7,2);writeln('** Cadastro de alunos --- para encerrar digite -1 para Matricula **');
     writeln; writeln;

     write('Digite a matricula do aluno: '); readln(aluno.mat);

     while(aluno.mat <> -1) do
     begin
          write('Nome: '); readln(aluno.nome);
          write('Sexo: '); readln(aluno.sexo);
          write('Nota da 1a. prova: '); readln(aluno.nota[1]);
          write('Nota da 2a. prova: '); readln(aluno.nota[2]);
          write('Nota da 3a. prova: '); readln(aluno.nota[3]);

          write(Arq,aluno);

          clrscr;
          gotoxy(7,2); writeln('** Cadastro de alunos -- para encerrar digite -1 para Matricula **');
          writeln; writeln;
          write('Digite a matricula do aluno: '); readln(aluno.mat);
     end;

     close(Arq);
end;


Procedure consultar_aluno;

var
   Arq : arquivo;
   aluno : ficha;
   MatConsulta : integer;
   TamanhoArquivo : integer;

begin
     assign(Arq,'C:\Users\MCPS\Downloads\numerico\Cadastro_Alunos.CAD');
     reset(Arq);

     clrscr;

     TamanhoArquivo := filesize(Arq);

     if ( TamanhoArquivo = 0 ) then
        writeln('Arquivo vazio!')
     else
     begin
          clrscr;
          gotoxy(33,2);writeln('** Consultar Aluno **');
          writeln;
          write('Digite a matricula do aluno que deseja consultar: ');
          readln(MatConsulta);

          seek(Arq,0);

          read(Arq,aluno);

          while ( (not eof(Arq)) and (aluno.mat <> MatConsulta) ) do
           begin
                read(Arq,aluno);
           end;

         clrscr;
         gotoxy(33,2); writeln('** Resultado da busca **');
         writeln; writeln;

         if  (aluno.mat <> MatConsulta) then
              writeln('Aluno com Matricula ',MatConsulta,' nao cadastrado!')
         else
             begin
              writeln('Matricula: ',aluno.mat);
              writeln('Nome: ',aluno.nome);
              writeln('Sexo: ', aluno.sexo);
              writeln('Nota da 1a. prova: ',aluno.nota[1]:2:2);
              writeln('Nota da 2a. prova: ',aluno.nota[2]:2:2);
              writeln('Nota da 3a. prova: ',aluno.nota[3]:2:2);
          end;
     end;

     writeln;
     gotoxy(1,22);writeln('Pressione alguma tecla para continuar!');
     readkey;
     close(Arq);

end;


{ PROGRAMA PRINCIPAL}
Var

   opcao : integer;

begin

      textColor(yellow);
      textBackground(BLUE);

      clrscr;

      opcao:=0;
      while (opcao  < 5) do
      begin
           clrscr;
           gotoxy(33,1);    write('Menu principal');
           gotoxy(22,6);    write('1  Criar Arquivo');
           gotoxy(22, 8);   write('2  Cadastrar Aluno');
           gotoxy(22, 10);   write('3  Consultar Aluno');
         {  gotoxy(22, 12);  write('4  Relatorio --- Aprovados');  }
           gotoxy(22, 14);  write('5  Fim de Programa');
           gotoxy(22, 18);  write('Escolha uma opcao ......: ');
           readln(opcao);

           Case opcao of
                1 : criar_arquivo;
2 : cadastrar_alunos;
3 : consultar_aluno;
{4 : relatorio_aprovados; }
    else
writeln('Byeee');

            end;
     end;
end.
